bnd (3.5.0-4) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #912231)
  * Fixed the build failure caused by gradle-debian-helper 2.0.1
  * Ignore the dependency on xml-apis
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Dec 2018 22:48:21 +0100

bnd (3.5.0-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Gradle 4.4
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Sep 2018 21:52:41 +0200

bnd (3.5.0-2) unstable; urgency=medium

  * Install the Gradle plugin
  * Standards-Version updated to 4.1.5

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Jul 2018 14:10:27 +0200

bnd (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches:
    * disable-jpm-plugin.patch
    * gradle-compatibility.patch
    * no_ee_minimum.patch
    * no-ee.j2se.patch
    * no-osgi.r5.patch
    * remove-recursion-in-macro-warning.patch
  * New patches:
    * build-scripts.patch: Make the Build Scripts Buildable
    * ant-compatibility: Fix Ant compatibility
  * Use simpler "get-orig-source" approach
  * Update Standards-Version to 4.1.3
  * Remove Damien Raude-Morvan from Uploaders (Closes: 889406)
  * Add myself to Uploaders
  * Update to debhelper compat level 11
  * Modify (Build-)Depends:
    * Switch to default-jdk-headless
    * Switch from junit to junit4
    * Restrict libosgi-compendium-java to >= 6
    * Restrict gradle-debian-helper to >= 1.6~
    + libfelix-framework-java
    + libfelix-gogo-runtime-java
    + libfelix-resolver-java
    + libosgi-annotation-java
    + libslf4j-java
    + libxz-java
    + libyaml-snake-java
  * Install generated POMs instead of downloading them from internet
  * Rename JARs in "/usr/share/java" to comply with the policies
  * Re-enable parallel build
  * Build & install more artifacts:
    * bnd-libg
    * bnd-junit
    * bnd-launcher
    * bnd-remote-agent
    * bnd-remote-api
    * bnd-remote-gc
    * bnd-remote-launcher
    * bnd-remote-main
    * bnd-repository
    * bnd-resolve
    * bnd-tester
    * bnd-repoindex-api
    * bnd-repoindex-lib

 -- Kai-Chung Yan (殷啟聰) <seamlikok@gmail.com>  Fri, 16 Mar 2018 00:50:18 +0800

bnd (2.4.1-7) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Remove eclipse-jdt and eclipse-rcp from Build-Depends and do not suggest
    them anymore.
  * Remove obsolete Eclipse plugin symlinks and don't create eclipse-jdt
    directories.
  * Use https for Format field.
  * Update Homepage URL. (Closes: #845168)
  * Do not mention the Eclipse plugin in the package description anymore.
  * Build with --no-parallel option to avoid a race condition.

 -- Markus Koschany <apo@debian.org>  Thu, 02 Nov 2017 13:18:39 +0100

bnd (2.4.1-6) unstable; urgency=medium

  * Team upload
  * New transition_Gradle_3.1.patch
  * d/control:
    * Build-Depends on default-jdk-headless | default-jdk
    * Build-Depends on libfindbugs-ant-java instead of findbugs

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 14 Nov 2016 17:49:12 +0800

bnd (2.4.1-5) unstable; urgency=medium

  * Team upload.
  * Removed the build dependency on libswt-gtk-3-java
  * Reproducibility improvements:
    - Sort the package lists generated by bnd (as in the Export-Package field)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 30 Aug 2016 15:38:17 +0200

bnd (2.4.1-4) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure caused by the swicth from groovy2 to groovy
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL
  * Reproducibility improvements:
    - The value of the ${tstamp} and ${now} macros is now derived
      from SOURCE_DATE_EPOCH
    - Use SOURCE_DATE_EPOCH for the Bnd-LastModified field
    - Use SOURCE_DATE_EPOCH as the modification time of the entries
      in the jar files created by bnd

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 May 2016 18:34:32 +0200

bnd (2.4.1-3) unstable; urgency=medium

  * Team upload.
  * Enabled the Java 8 compatibility patch
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 01:33:26 +0100

bnd (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Removed the recursion in macro warnings causing out of memory errors.
    (Closes: #809602)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 02 Jan 2016 12:12:44 +0100

bnd (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms
    - Build with Gradle instead of Ant
    - Refreshed debian/copyright
    - Require Java 6 or higher
    - Build the Gradle plugin during the bootstrap phase
    - Require libosgi-compendium-java >= 5.0.0-3 for the new OSGi types
    - Updated the linked jars and the ignored modules in debian/rules
    - Backported a fix to build with Gradle >= 2.3

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 Dec 2015 11:01:39 +0100

bnd (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms
    - Added the missing resources to the bootstrap jar
    - Updated the linked jars in debian/rules
  * Restored the Java 8 compatibility patch
  * Use XZ compression for the upstream tarball
  * Build with the DH sequencer instead of CDBS

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Dec 2015 11:55:37 +0100

bnd (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Vcs-Browser: Use https.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Mon, 16 Nov 2015 17:00:56 +0100

bnd (2.1.0-1) experimental; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Moved the package to Git.
  * Imported Upstream version 2.1.0.
  * Refresh patches for 2.1.0-1 upload.

  [ Markus Koschany ]
  * Update debian/copyright for version 2.1.0.
  * Drop ant-1.9-compatibility.diff. This patch is obsolete with version 2.1.
  * Drop already disabled patches.
    - find_swt_jar.diff
    - java8-compatibility.diff
    - osgi43_fixes.diff
  * Use patch extension instead of diff for patches.
  * Drop fix-encoding.patch and use upstream values instead.
  * Drop build_excludes.patch and use upstream values again.
  * Drop no_felix.patch because bnd builds fine without it.
  * Drop no_git_during_build.patch because bnd builds fine without it.
  * Delete debian/ant.properties file because it was not used.
  * New patches. See patch headers for further comments:
    - no-ee.j2se.patch
    - no-osgi.r5.patch
    - findbugs.patch
    - embedded-repo.patch
    - FTBFS.patch
    - implement-missing-methods.patch
    - build-without-biz.aQute.repository-and-resolve.patch
  * debian/control:
    - Add findbugs to Build-Depends.
    - Add junit4 to Build-Depends.
    - Add ant-contrib to Build-Depends.
    - Tighten build-dependencies of osgi components.
  * debian/rules:
    - Fix com.springsource.org.junit symlink.
    - Symlink ant-contrib.jar to the right place.
    - Remove biz.aQute.repository in clean target.
    - Remove biz.aQute.resolve in clean target.
    - Fix all obsolete tmp paths. Files are now in generated.
  * wrap-and-sort -sa.
  * Update bnd.pod for new release. Mention new or different commands.
    Remove Authors paragraph since all copyright holders are already credited
    in debian/copyright.
  * debian/rules: Update clean target. Ensure that bnd can be built twice in a
    row and remove all class and jar files in subsequent runs.

 -- Markus Koschany <apo@gambaru.de>  Wed, 03 Jun 2015 20:11:07 +0200

bnd (1.50.0-9) unstable; urgency=medium

  * Team upload.
  * Add OSGi-6-methods.patch.
    - Fix FTBFS due to OSGi 5/6 transition.
  * Declare compliance with Debian Policy 3.9.6.
  * Move packaging to Git.
  * Tighten build-dependency and dependency on osgi-core and osgi-compendium.

 -- Markus Koschany <apo@gambaru.de>  Fri, 05 Jun 2015 23:55:15 +0200

bnd (1.50.0-8) unstable; urgency=medium

  * Added a patch to fix the compilation errors with Java 8
  * debian/control:
    - Removed the dependency on openjdk-6-jdk
    - Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 29 Apr 2014 14:05:29 +0200

bnd (1.50.0-7) unstable; urgency=low

  * Install the Maven artifacts biz.aQute:annotation and biz.aQute:bnd

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 Oct 2013 22:15:13 +0200

bnd (1.50.0-6) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Added a patch to compile with Ant 1.9 (Closes: #712343)
  * Fixed the unmappable character errors during the compilation
  * debian/watch: Updated to catch the recent releases on Github
  * debian/control:
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * debian/rules: Improved the clean target
  * Updated the Maven pom

  [ Damien Raude-Morvan ]
  * d/rules: Don't fail clean target if there is no things to delete.
  * Upload to unstable.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 26 Jul 2013 11:28:27 +0200

bnd (1.50.0-5) unstable; urgency=low

  * d/rules: Fix FTBFS after update to eclipse 3.8.0~rc4-1 (Closes: #682647).
  * d/copyright: Update to copyright format 1.0.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 25 Jul 2012 00:34:41 +0200

bnd (1.50.0-4) unstable; urgency=low

  * Fix FTBFS after update to eclipse 3.7.2-1 (Closes: #669533).
  * Add Jakub Adam to Uploaders.
  * Bump Standards-Version to 3.9.3: no changes needed.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 30 Apr 2012 22:44:59 +0200

bnd (1.50.0-3) unstable; urgency=low

  * d/rules: Fix broken link with Eclipse JDT during build. (Closes: #655548).
  * d/patches/display_bsn_on_missing_bundle.diff: Improve error message when
    some bundle is missing.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 17 Jan 2012 23:16:19 +0100

bnd (1.50.0-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.

  [ James Page ]
  * Fix FTBFS with OpenJDK 7 (LP: #888926) (Closes: #651389):
    - d/ant.properties: Set default source/target to 1.5 to ensure
      backwards compatibility and avoid Java 7 encoding errors.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 08 Dec 2011 21:41:18 -0430

bnd (1.50.0-1) unstable; urgency=low

  * New upstream release.
  * d/control: Add Build-Depends on libbindex-java.
  * d/{bootstrap,rules}: Add bindex.jar to classpath.
  * d/patches/no_git_during_build.diff: Don't try to use GIT during build.
  * d/patches/osgi43_fixes.diff: Some fixes for libosgi-core-java >= 4.3.
  * d/patches/no_felix.diff: Drop dependency on felix-framework (to remove
    dependency cycle).

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 09 Nov 2011 22:39:08 +0100

bnd (1.44.0-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * d/copyright: Upgrade to latest DEP-5 version.
  * Use upstream build system:
    - d/orig-tar.sh: Rework to use github (Closes: #640839).
    - d/build.xml, d/build.properties: Drop.
    - d/bootstrap.xml: Build a small bnd.jar just for its own bootstrap.
    - Rename d/svn-transform.sh to d/git-transform.sh and remove unneeded bits.
  * Enable full OSGi and Eclipse modules (Closes: #565749) :
    - d/control: Add Build-Depends on libswt-gtk-3-java, eclipse-rcp,
      eclipse-jdt and libosgi-core-java
    - d/control: Only Suggests: eclipse-rcp, eclipse-jdt

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 26 Oct 2011 00:59:39 +0200

bnd (0.0.384-2) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Aug 2011 19:28:43 +0200

bnd (0.0.384-1) unstable; urgency=low

  * New upstream release
  * Exclude the Filter class from the distribution as it has
    some copyright issues and it is not used anymore in this
    new version of BND
  * Update copyright according to upstream changes, all
    contentious issues have been cleared.
  * Bump up Standards-Version to 3.8.3, no change

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 02 Sep 2009 12:14:20 +0100

bnd (0.0.337.2-3) unstable; urgency=low

  * Force name of bnd library installed in /usr/share/java
    to be bnd.jar instead of bndlib.jar

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 14 Aug 2009 14:38:12 +0100

bnd (0.0.337.2-2) unstable; urgency=low

  [Ludovic Claude]
  * Add man page for bnd script

  [Damien Raude-Morvan]
  * Add myself as Uploaders
  * Install a "bnd" shell script to execute BND command line interface
    - Add debian/bnd.sh script
    - Add Depends on java-wrapper, used as helper for launch script
  * Add debian/watch
  * Remove duplicate Section declaration on first binary package

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 07 Aug 2009 14:12:23 +0100

bnd (0.0.337.2-1) experimental; urgency=low

  * Create a pseudo new upstream version to reflect the changes in the
    source tarball.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 04 Aug 2009 20:30:17 +0100

bnd (0.0.337.1-2) experimental; urgency=low

  * Fix copyright issues
  * Don't include the test jars in the source tarball

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 02 Aug 2009 22:48:47 +0100

bnd (0.0.337.1-1) experimental; urgency=low

  * Initial release. (Closes: #539558)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 19 Jul 2009 19:48:06 +0100
